#include <stdio.h>
#include "superscaler.h"

using namespace SuperScaler;

int main() {
  Filter *f = SuperScaler::LanczosFilter(3);
  Matrix<float> upscaler = SuperScaler::create_scaler(
    1920,
    0.0,
    1920.0,
    4000,
    f);
//  upscaler.Print();
  Matrix<float> downscaler = upscaler.left_invert();
//  downscaler.Print();
  printf("size = %ld\n", downscaler.memsize());
}
