
namespace SuperScaler {

#define CHECKERROR() do {					\
  GLint x = glGetError();					\
  assert(x == GL_NO_ERROR);					\
} while(0)

//   fprintf(stderr, "Still ok @ %s:%d\n", __FILE__, __LINE__);	\

class GLWindowInterface {
public:
  virtual ~GLWindowInterface() {}
  virtual void SwapBuffers() = 0;
  virtual int xsize() = 0;
  virtual int ysize() = 0;
};

GLWindowInterface *create_gl_window();

};  // superscaler
