#ifndef EXIF_H
#define EXIF_H
#include <string>
#include <utility>
#include <libexif/exif-loader.h>
#include <libexif/exif-entry.h>

class ExifInterface {
public:
  ~ExifInterface() {}
  virtual std::string describeEntry(ExifTag tag) = 0;
  virtual int GetRotation() = 0;
  virtual std::pair<int, int> size() = 0;
  virtual std::pair<const char *, size_t> GetThumbnail() = 0;
};

ExifInterface *GetExifData(const std::string &filename);

#endif
